Package de.willuhn.jameica.hbci.reminder

# Class ReminderStorageProviderHibiscus

java.lang.Object
de.willuhn.jameica.reminder.AbstractReminderStorageProvider
de.willuhn.jameica.hbci.reminder.ReminderStorageProviderHibiscus

All Implemented Interfaces:
  `de.willuhn.jameica.reminder.ReminderStorageProvider`

@Lifecycle(CONTEXT) public class ReminderStorageProviderHibiscus extends de.willuhn.jameica.reminder.AbstractReminderStorageProvider
Implementierung eines Storage-Providers fuer Hibiscus. Ist noetig, damit die Reminder ebenfalls in der Datenbank landen. Denn wenn sich mehrere Hibiscus-Installationen eine gemeinsame SQL-Datenbank teilen, muessen die Reminder auf allen Arbeitsplaetzen zur Verfuegung stehen. Beim Default-Storage-Provider von Jameica waere das nicht der Fall, da der die Daten in einer lokalen Wallet-Datei speichert. In dem Fall waeren die Erinnerungen nur auf dem Arbeitsplatz verfuegbar, auf dem der Reminder angelegt wurde. Wir verwenden einen Context-Lifecycle, damit wir in Hibiscus die gleiche Instanz verwenden, die auch der Reminder-Service von Jameica nutzt. Ist zwar nicht notwendig, aber sauberer.

## Constructor Summary

Constructors
Constructor
Description
`ReminderStorageProviderHibiscus()`

## Method Summary

Modifier and Type
Method
Description
`String`
`add(de.willuhn.jameica.reminder.Reminder reminder)`
`de.willuhn.jameica.reminder.Reminder`
`delete(String uuid)`
`de.willuhn.jameica.reminder.Reminder`
`get(String uuid)`
`String[]`
`getUUIDs()`
`void`
`update(String uuid, de.willuhn.jameica.reminder.Reminder reminder)`

### Methods inherited from class de.willuhn.jameica.reminder.AbstractReminderStorageProvider

`createUUID, find`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReminderStorageProviderHibiscus

public ReminderStorageProviderHibiscus()

## Method Details

### get

public de.willuhn.jameica.reminder.Reminder get(String uuid) throws Exception

Throws:
  `Exception`

### add

public String add(de.willuhn.jameica.reminder.Reminder reminder) throws Exception

Throws:
  `Exception`

### update

public void update(String uuid, de.willuhn.jameica.reminder.Reminder reminder) throws Exception

Throws:
  `Exception`

### delete

public de.willuhn.jameica.reminder.Reminder delete(String uuid) throws Exception

Throws:
  `Exception`

### getUUIDs

public String[] getUUIDs() throws Exception

Throws:
  `Exception`